Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tiling.computefarm.util
Class ClassServer

    java.lang.Object
      java.lang.Thread
          org.tiling.computefarm.util.ClassServer

All Implemented Interfaces:
  java.lang.Runnable

public class ClassServer
extends java.lang.Thread

A `ClassServer` is a very simple HTTP server for serving class files or jars from the file system.

Nested Class Summary
`class` | `ClassServer.RequestThread`

Field Summary
`static java.io.File` | `DEFAULT_ROOT`
`static int` | `DEFAULT_START_PORT_NUMBER`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ClassServer()`
`ClassServer(java.io.File root, int startPort)`
`ClassServer(java.io.File root, int startPort, boolean daemon)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ROOT

    public static final java.io.File DEFAULT_ROOT

### DEFAULT_START_PORT_NUMBER

    public static final int DEFAULT_START_PORT_NUMBER

See Also:
  Constant Field Values

Constructor Detail

### ClassServer

    public ClassServer()
                throws java.io.IOException

### ClassServer

    public ClassServer(java.io.File root,
                       int startPort)
                throws java.io.IOException

### ClassServer

    public ClassServer(java.io.File root,
                       int startPort,
                       boolean daemon)
                throws java.io.IOException

Method Detail

### run

    public void run()

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2004 . All Rights Reserved.